diff -ru robotfindskitten-1.4142135.349.orig/src/messages.h robotfindskitten-1.4142135.349/src/messages.h
--- robotfindskitten-1.4142135.349.orig/src/messages.h	2003-01-27 09:33:26.000000000 -0800
+++ robotfindskitten-1.4142135.349/src/messages.h	2007-05-21 01:36:54.000000000 -0700
@@ -365,3 +365,18 @@
 
 
 };
+
+/*Finish him!*/
+#define FATALITIES (sizeof fatalities / sizeof (char*))
+
+static char* fatalities[] =
+{
+  "Kitten jumps out of nowhere, pulls out a switchblade, and stabs you.",
+  "Bruce Willis swears at you, pulls out a Zippo(TM), and lights you on fire.",
+  "Your Robot armor is no match against your opponent's +2 Kitten.",
+  "Terrorists have planted a dirty bomb inside kitten!  Run for your life!",
+  "You hear \"JIHAAD!!!\", then everything goes dark.",
+  "You have come to the end of this Choose Your Own Adventure.",
+  "Ryan Finnie has ripped the still-beating heart out of this zen simulation.",
+  "Your generation has no attention span anymore, so you get bored and leave."
+};
diff -ru robotfindskitten-1.4142135.349.orig/src/robotfindskitten.c robotfindskitten-1.4142135.349/src/robotfindskitten.c
--- robotfindskitten-1.4142135.349.orig/src/robotfindskitten.c	2003-01-27 09:33:26.000000000 -0800
+++ robotfindskitten-1.4142135.349/src/robotfindskitten.c	2007-05-21 01:52:24.000000000 -0700
@@ -141,6 +141,8 @@
 screen_object kitten;
 
 int num_bogus;
+int megahyperdeath;
+
 screen_object bogus[MESSAGES];
 int bogus_messages[MESSAGES];
 int used_messages[MESSAGES];
@@ -287,8 +289,18 @@
 	  play_animation(input);
 	  break;
 	default: /*We hit a bogus object; print its message.*/
-	  message(messages[bogus_messages[screen[check_x][check_y]-2]]);
-	  break;
+	  if ((megahyperdeath == 1) && ((rand() % num_bogus) == 0)) {
+            /*RFK is boring, let's add explosions!*/
+	    move(0,0);
+	    addstr(fatalities[rand() % FATALITIES]);
+	    move(1,0);
+	    addstr("You are dead.  Sorry it didn't work out.  Please insert $0.25 to continue.");
+	    refresh();
+	    finish(0);
+	  } else {
+	    message(messages[bogus_messages[screen[check_x][check_y]-2]]);
+	    break;
+	  }
 	}
       return;
     }
@@ -377,6 +389,11 @@
   printw("Robot must touch items to determine if they are kitten or not. The game\n");
   printw("ends when robotfindskitten. Alternatively, you may end the game by hitting\n");
   printw("the Esc key. See the documentation for more information.\n\n");
+  if (megahyperdeath == 1) {
+    printw("MegaHyperDeath(TM) technology has been activated.  You have a 1 in %d\n", num_bogus);
+    printw("chance of NKI death.  I must warn you, you may not be prepared for the\n");
+    printw("carnage you are about to experience.\n\n");
+  }
   printw("Press any key to start.\n");
   refresh();
 
@@ -553,19 +570,28 @@
    *Do general start-of-program stuff.
    */
 
-  
-  /*Get a number of non-kitten objects.*/
-  if (argc == 1)
-    {
-      num_bogus = 20;
+  int i;
+  int narg;
+
+  narg = 1;
+  num_bogus = 20;
+
+  for (i=1; i < argc; i++)
+  {
+    if (strcmp(argv[i], "--megahyperdeath") == 0) {
+      /*Sunday! Sunday! Sunday!*/
+      megahyperdeath = 1;
+      narg++;
     } else {
-      num_bogus = atoi(argv[1]);
-      if (num_bogus < 0 || num_bogus > MESSAGES)
-	{
-	  printf("Run-time parameter must be between 0 and %d.\n",MESSAGES);
-	  exit(0);
-	}
+      /*Get a number of non-kitten objects.*/
+      num_bogus = atoi(argv[narg]);
+      if (num_bogus < 0 || num_bogus > MESSAGES) {
+        printf("Run-time parameter must be between 0 and %d.\n",MESSAGES);
+        exit(0);
+      }
+      break;
     }
+  }
 
   /*Initialize the random number generator*/
   srand(time(0));
